```json
{
  "title": "Animal",
  "icon_sprite": "minecraft:icon/cow",
  "category": "minecraft:story/husbandry",
  "required_advancements": [
    "minecraft:husbandry/root"
  ]
}
```

The term **Animal** refers to a category of [mobs](^minecraft:mobs) that are mainly based on real life animals. Mobs mentioned on this page are classified as `Animal` or `WaterAnimal` in the game code. Many other mobs and even some blocks are also based on real life animals, but are not treated as such in *Minecraft*. Most of these mobs are also called animals in many [advancements](https://minecraft.wiki/w/Advancements).

;;;;;

Animals are usually either [passive](^minecraft:passive_mobs) (fleeing) or [neutral](^minecraft:neutral_mobs) (fighting), with the only exception being the [hostile](^minecraft:hostile_mobs) [{mob}Hoglin{}](^minecraft:hoglin). 

;;;;;

<|page-title@lavender:book_components|title=Breedable|> 
These mobs can be directly [bred](^minecraft:breeding):

- [{mob}Axolotl{}](https://minecraft.wiki/w/Axolotl)
- Bee
- Camel
- Cat
- Chicken
- Cow
- Donkey
- Fox
- Frog
- Goat

;;;;;

- [{mob}Hoglin{}](^minecraft:hoglin)
- Horse
- Llama
- Mooshroom
- Mule
- Ocelot
- Panda
- Pig
- Rabbit
- Sheep
- Sniffer
- Strider
- Tadpole
- Trader Llama
- Turtle
- Wolf

;;;;;

<|page-title@lavender:book_components|title=Tameable|> 
These animals can be [tamed](^minecraft:taming) by different ways:

- Cat
- Donkey
- Horse
- Llama
- Mule
- Parrot
- Trader Llama
- Wolf

;;;;;

<|page-title@lavender:book_components|title=Arthropod|> 
It's considered an arthropod by the [Bane of Arthropods](https://minecraft.wiki/w/Bane_of_Arthropods) [enchantment](^minecraft:enchantments):

- Bee
- Cave Spider
- Endermite
- Silverfish
- Spider

;;;;;

<|page-title@lavender:book_components|title=Fish|> 
Aquatic animals with fins:

- Cod
- Pufferfish
- Salmon
- Tropical Fish

;;;;;

<|page-title@lavender:book_components|title=Coral Blocks|> 
These [blocks](^minecraft:blocks) are in-game classified as corals.

- Corals
- Coral Blocks
- Coral Fans

;;;;;

<|page-title@lavender:book_components|title=Unclassified|> 
These [mobs](^minecraft:mobs) and [blocks](^minecraft:blocks) don't have an in-game category but were simply based on real life animals or mythical animals.

- Bat
- Dolphin
- Ender Dragon
- Glow Squid
- Polar Bear
- Sea Pickle
- Squid
- Sponge
