```json
{
  "title": "Trimming",
  "icon": "minecraft:sentry_armor_trim_smithing_template",
  "category": "minecraft:story/adventure",
  "required_advancements": [
    "minecraft:adventure/root"
  ]
}
```

**Trimming** allows players to customize an [armor](^minecraft:armor) piece's appearance by applying a material using one of the following smithing templates. During trimming, the decorative pattern applied to the armor corresponds to the trim used, with the color determined by the used material.

;;;;;

All trims are purely decorative, and don't impact gameplay in any way. [{mob}Piglins{}](^minecraft:piglin) do not pick up any gold-trimmed armor pieces and remain hostile towards players wearing gold-trimmed armor, unless the armor is in itself golden. Non-netherite armor pieces trimmed with netherite still burn if dropped in [fire](https://minecraft.wiki/w/Fire) or [lava](https://minecraft.wiki/w/Lava).

;;;;;

&title(Trims)
Some of the [Armor Trim Smithing Templates](^minecraft:tag/trim_templates) that gives a pattern:

```xml owo-ui
<flow-layout direction="vertical">
    <children>
        <flow-layout direction="horizontal">
            <children>
                <item>
                    <stack>minecraft:coast_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:dune_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:eye_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:host_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
            </children>
             <gap>10</gap>
            <vertical-alignment>center</vertical-alignment>
        </flow-layout>
        <flow-layout direction="horizontal">
            <children>
                <item>
                    <stack>minecraft:raiser_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:rib_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:sentry_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:shaper_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
            </children>
            <gap>10</gap>
            <vertical-alignment>center</vertical-alignment>
        </flow-layout>
        <flow-layout direction="horizontal">
            <children>
                <item>
                    <stack>minecraft:silence_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:snout_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:spire_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:tide_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
            </children>
            <gap>10</gap>
            <vertical-alignment>center</vertical-alignment>
        </flow-layout>
        <flow-layout direction="horizontal">
            <children>
                <item>
                    <stack>minecraft:vex_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:ward_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:wayfinder_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:wild_armor_trim_smithing_template</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
            </children>
            <gap>10</gap>
            <vertical-alignment>center</vertical-alignment>
        </flow-layout>
    </children>
    <gap>8</gap>
    <sizing>
        <horizontal method="fill">100</horizontal>
    </sizing>
    <horizontal-alignment>center</horizontal-alignment>
</flow-layout>
```

;;;;;

&title(Materials)
Materials that can be used that gives it's color:

```xml owo-ui
<flow-layout direction="vertical">
    <children>
        <flow-layout direction="horizontal">
            <children>
                <item>
                    <stack>minecraft:amethyst_shard</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:copper_ingot</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:diamond</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:emerald</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
            </children>
             <gap>10</gap>
            <vertical-alignment>center</vertical-alignment>
        </flow-layout>
        <flow-layout direction="horizontal">
            <children>
                <item>
                    <stack>minecraft:gold_ingot</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:iron_ingot</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:lapis_lazuli</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
            </children>
            <gap>10</gap>
            <vertical-alignment>center</vertical-alignment>
        </flow-layout>
        <flow-layout direction="horizontal">
            <children>
                <item>
                    <stack>minecraft:quartz</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:netherite_ingot</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
                <item>
                    <stack>minecraft:redstone</stack>
                    <set-tooltip-from-stack>true</set-tooltip-from-stack>
                </item>
            </children>
            <gap>10</gap>
            <vertical-alignment>center</vertical-alignment>
        </flow-layout>
    </children>
    <gap>8</gap>
    <sizing>
        <horizontal method="fill">100</horizontal>
    </sizing>
    <horizontal-alignment>center</horizontal-alignment>
</flow-layout>
```

;;;;;

&title(See Also)
- [Smithing Table](^minecraft:smithing_table)
