```json
{
  "title": "Weapon",
  "icon": "minecraft:iron_sword",
  "category": "minecraft:story/story",
  "required_advancements": [
    "minecraft:story/root"
  ]
}
```

**Weapons** are [items](^minecraft:items) used to deal [damage](https://minecraft.wiki/w/Damage) to [entities](^knowlogy:entities). They include tools, projectiles, obstacles, and traps. Some weapons can be [enchanted](^minecraft:enchanting) to enhance their combat efficacy. 

;;;;;

&title(Overview)
**Melee weapons** can be held in the main hand while pressing <keybind;key.attack> to deal more damage than punching. 

**Ranged weapons** can be used by pressing <keybind;key.use> to fire projectiles.

**Block weapons** are typically used by placing them by pressing <keybind;key.use>. A redstone circuit can be used in various ways, depending on its design. 

;;;;;

&title(Melee Weapons)
Melee weapons can be used to deal damage within a player's reach distance. The damage dealt by melee weapons is affected by the [attack cooldown](https://minecraft.wiki/w/Attack_cooldown): in order to deal maximum damage again, the player must wait for the weapon to "recharge" after each attack. 

;;;;;

- [Swords](^minecraft:tag/swords)
- [Axes](^minecraft:tag/axes)
- [{item}Tridents{}](https://minecraft.wiki/w/Trident)
- Other [tools](^minecraft:tool), [pickaxes](^minecraft:tag/pickaxes), [shovels](^minecraft:tag/shovels), and [hoes](^minecraft:tag/hoes) can be used as weapons, but they are not as effective as other melee weapons.

;;;;;

&title(Ranged Weapons)
Ranged weapons are less effective in close combat and more effective at attacking enemies from a distance. 

;;;;;

- [{item}Bows{}](https://minecraft.wiki/w/Bow)
- [{item}Crossbows{}](https://minecraft.wiki/w/Crossbow)
- [{item}Tridents{}](https://minecraft.wiki/w/Trident)
- [{item}Fire charges{}](https://minecraft.wiki/w/Fire_Charge)
- [Splash potions](https://minecraft.wiki/w/Splash_Potion), [lingering potions](https://minecraft.wiki/w/Lingering_Potion), or [tipped arrows](https://minecraft.wiki/w/Tipped_Arrow) of [Instant Damage](https://minecraft.wiki/w/Instant_Damage) or [Poison](^minecraft:poison) can be effectively used to damage enemies.
- Throwable items:
  - [Eggs](https://minecraft.wiki/w/Egg)
  - [Snowballs](https://minecraft.wiki/w/Snowball)

;;;;;

&title(Other Weapons)
Other items listed here can be used as weapons but usually have other intended uses and should be used strategically. 

;;;;;

- [{block}TNT{}](https://minecraft.wiki/w/TNT)
- [End crystals](https://minecraft.wiki/w/End_Crystal), [respaawn anchors](https://minecraft.wiki/w/Respawn_Anchor) and [beds](https://minecraft.wiki/w/Bed) are capable of causing massive explosions, but are also very situational.
- [Flint and steel](https://minecraft.wiki/w/Flint_and_Steel) and [fire charges](https://minecraft.wiki/w/Fire_Charge) can light [fires](https://minecraft.wiki/w/Fire).
- [Lava Buckets](https://minecraft.wiki/w/Lava_Bucket) can be used to place [lava](https://minecraft.wiki/w/Lava).
- [Anvils](https://minecraft.wiki/w/Anvil) and [pointed dripstone](https://minecraft.wiki/w/Pointed_dripstone) deals damage when dropped onto an entity.
- [Cobwebs](https://minecraft.wiki/w/Cobweb)